View Issue Details

IDProjectCategoryView StatusLast Update
0000100Far Manager 1.7xMacropublic2007-07-16 16:07
ReporterRaistlinAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.71 
Summary0000100: Shift-*
DescriptionХочу во вьюере повесить макрос на Shift-*: после завершающего Ctrl. в диалоге жму Shift-"серая звездочка". Вместо ожидаемого "ShiftMultiply" в строке вижу "*". AltShiftIns даёт "AltShift". Остальные комбинации (с Ctrl и Alt) дают нормальные результаты.
TagsNo tags attached.
Build

Activities

Raistlin

2006-03-28 19:06

reporter   bugnote:0000096

Сорри, какой-то глюк, вроде баг никому не назначал :).

vskirdin

2006-04-04 10:53

administrator   bugnote:0000110

Так, вроде возможно (для сегорой звездочки), т.к.
Для Gray* это Vk="VK_MULTIPLY" [106/0x006A]
А для обычной - Vk="VK_8" [56/0x0038]

Подумаем :-)

vskirdin

2006-04-13 15:04

administrator   bugnote:0000134

Пробуем.
http://farmanager.com/farbugs/mantis110.1.rar
Просьба проверить, что ничего не отвалилось в плане Multiple и Divide (на цифровой клавиатуре)

Issue History

Date Modified Username Field Change
2006-03-28 18:56 Raistlin New Issue
2006-03-28 18:56 Raistlin Status new => assigned
2006-03-28 18:56 Raistlin Assigned To => vskirdin
2006-03-28 19:06 Raistlin Note Added: 0000096
2006-03-28 19:06 Raistlin Status assigned => feedback
2006-04-04 10:53 vskirdin Note Added: 0000110
2006-04-04 10:56 vskirdin Project Far Manager 1.7x => @11@
2006-04-04 17:30 alexy Project @11@ => Far Manager 1.7x
2006-04-13 15:04 vskirdin Note Added: 0000134
2006-04-28 14:17 vskirdin Status feedback => resolved
2006-04-28 14:17 vskirdin Fixed in Version => 1.71
2006-04-28 14:17 vskirdin Resolution open => fixed
2007-07-16 16:07 alexy Status resolved => closed